## GBytesIcon GBytesIcon — An icon stored in memory as a GBytes |

## Functions

GIcon * | g_bytes_icon_new ()
GBytes * | g_bytes_icon_get_bytes ()

## Types and Values

| GBytesIcon

## Includes

    #include <gio/gio.h>

## Description

GBytesIcon specifies an image held in memory in a common format (usually png) to be used as icon.

## Functions

### g_bytes_icon_new ()

    GIcon *
    g_bytes_icon_new (GBytes *bytes);

Creates a new icon for a bytes.

#### Parameters

bytes | a GBytes. |

#### Returns

a GIcon for the given `bytes` , or `NULL` on error.

[transfer full][type GBytesIcon]

Since 2.38

### g_bytes_icon_get_bytes ()

    GBytes *
    g_bytes_icon_get_bytes (GBytesIcon *icon);

Gets the GBytes associated with the given `icon` .

#### Parameters

icon | a GIcon. |

#### Returns

a GBytes, or `NULL`.

[transfer none]

Since 2.38

## Types and Values

### GBytesIcon

    typedef struct _GBytesIcon GBytesIcon;

Gets an icon for a GBytes. Implements GLoadableIcon.

## See Also

GIcon, GLoadableIcon, GBytes